Bug 1652862 - Review Request: xdg-dbus-proxy - Filtering proxy for D-Bus connections
Summary: Review Request: xdg-dbus-proxy - Filtering proxy for D-Bus connections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-23 10:37 UTC by Kalev Lember
Modified: 2018-12-05 02:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 02:35:06 UTC
erack: fedora-review+


Attachments (Terms of Use)

Description Kalev Lember 2018-11-23 10:37:35 UTC
Spec URL: https://kalev.fedorapeople.org/xdg-dbus-proxy.spec
SRPM URL: https://kalev.fedorapeople.org/xdg-dbus-proxy-0.1.0-1.fc30.src.rpm
Description:
xdg-dbus-proxy is a filtering proxy for D-Bus connections. It was originally
part of the flatpak project, but it has been broken out as a standalone module
to facilitate using it in other contexts.

Fedora Account System Username: kalev

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=31062960

Comment 1 Eike Rathke 2018-11-23 15:48:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- License field may need to additionally specify "and MIT/X11 (BSD like)" for
  install.sh


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "LGPL (v2 or
     later)", "Unknown or generated". 9 files have unknown license.
     Detailed output of licensecheck in /inex-build/rpmmaker/packages/xdg-
     dbus-proxy/review-xdg-dbus-proxy/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xdg-
     dbus-proxy-debuginfo , xdg-dbus-proxy-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xdg-dbus-proxy-0.1.0-1.fc30.x86_64.rpm
          xdg-dbus-proxy-debuginfo-0.1.0-1.fc30.x86_64.rpm
          xdg-dbus-proxy-debugsource-0.1.0-1.fc30.x86_64.rpm
          xdg-dbus-proxy-0.1.0-1.fc30.src.rpm
xdg-dbus-proxy.x86_64: W: spelling-error %description -l en_US flatpak -> flattop
xdg-dbus-proxy.x86_64: W: no-documentation
xdg-dbus-proxy.x86_64: W: no-manual-page-for-binary xdg-dbus-proxy
xdg-dbus-proxy.src: W: spelling-error %description -l en_US flatpak -> flattop
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xdg-dbus-proxy-debuginfo-0.1.0-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
xdg-dbus-proxy.x86_64: W: spelling-error %description -l en_US flatpak -> flattop
xdg-dbus-proxy.x86_64: W: invalid-url URL: https://github.com/flatpak/xdg-dbus-proxy/ <urlopen error [Errno -2] Name or service not known>
xdg-dbus-proxy.x86_64: W: no-documentation
xdg-dbus-proxy.x86_64: W: no-manual-page-for-binary xdg-dbus-proxy
xdg-dbus-proxy-debuginfo.x86_64: W: invalid-url URL: https://github.com/flatpak/xdg-dbus-proxy/ <urlopen error [Errno -2] Name or service not known>
xdg-dbus-proxy-debugsource.x86_64: W: invalid-url URL: https://github.com/flatpak/xdg-dbus-proxy/ <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
xdg-dbus-proxy (rpmlib, GLIBC filtered):
    dbus
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

xdg-dbus-proxy-debuginfo (rpmlib, GLIBC filtered):

xdg-dbus-proxy-debugsource (rpmlib, GLIBC filtered):



Provides
--------
xdg-dbus-proxy:
    xdg-dbus-proxy
    xdg-dbus-proxy(x86-64)

xdg-dbus-proxy-debuginfo:
    debuginfo(build-id)
    xdg-dbus-proxy-debuginfo
    xdg-dbus-proxy-debuginfo(x86-64)

xdg-dbus-proxy-debugsource:
    xdg-dbus-proxy-debugsource
    xdg-dbus-proxy-debugsource(x86-64)



Source checksums
----------------
https://github.com/flatpak/xdg-dbus-proxy/releases/download/0.1.0/xdg-dbus-proxy-0.1.0.tar.xz :
  CHECKSUM(SHA256) this package     : 9eefd30fe66940c8daf0e8ce6479307694814edb8b636caeb5aa6d6a46a4bc14
  CHECKSUM(SHA256) upstream package : 9eefd30fe66940c8daf0e8ce6479307694814edb8b636caeb5aa6d6a46a4bc14


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -n xdg-dbus-proxy
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Kalev Lember 2018-11-23 16:07:23 UTC
(In reply to Eike Rathke from comment #1)
> Issues:
> =======
> - License field may need to additionally specify "and MIT/X11 (BSD like)" for
>   install.sh

install.sh is only used during the build and not shipped in the binary rpm and therefore doesn't affect the license of the produced binary rpm.

Comment 3 Eike Rathke 2018-11-26 13:49:33 UTC
Approved.

Comment 4 Gwyn Ciesla 2018-11-26 15:18:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xdg-dbus-proxy

Comment 5 Fedora Update System 2018-11-26 17:05:47 UTC
xdg-dbus-proxy-0.1.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-493a8e6d1f

Comment 6 Fedora Update System 2018-11-27 05:14:06 UTC
xdg-dbus-proxy-0.1.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-493a8e6d1f

Comment 7 Fedora Update System 2018-12-05 02:35:06 UTC
xdg-dbus-proxy-0.1.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.